summaryrefslogtreecommitdiff
path: root/tests/examples/rtp/server-decodebin-H263p-AMR.sh
diff options
context:
space:
mode:
authorTim-Philipp Müller <tim@centricular.net>2012-12-31 18:59:18 +0000
committerTim-Philipp Müller <tim.muller@collabora.co.uk>2013-01-04 13:21:56 +0000
commite1dbc471c3566ff23f36f5506e9115d36781a4cd (patch)
tree5a8e14491c0c5313eecc5538c3eb4a2205d8f93a /tests/examples/rtp/server-decodebin-H263p-AMR.sh
parent81588e44a9a964b9bc36f38e329f6fcaf20c2a19 (diff)
examples: check for uri argument in decodebin-h264p-amr server example
Otherwise people get a rather confusing error message.
Diffstat (limited to 'tests/examples/rtp/server-decodebin-H263p-AMR.sh')
-rwxr-xr-xtests/examples/rtp/server-decodebin-H263p-AMR.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/examples/rtp/server-decodebin-H263p-AMR.sh b/tests/examples/rtp/server-decodebin-H263p-AMR.sh
index 1ff0c939b..67e9826b4 100755
--- a/tests/examples/rtp/server-decodebin-H263p-AMR.sh
+++ b/tests/examples/rtp/server-decodebin-H263p-AMR.sh
@@ -14,7 +14,8 @@
AOFFSET=0
VOFFSET=0
-VCAPS="video/x-raw,width=352,height=288,framerate=15/1"
+# encoder seems to be picky about PAR, so force one that should work
+VCAPS="video/x-raw,width=352,height=288,framerate=15/1,pixel-aspect-ratio=1/1"
# video and audio encoding and payloading
VENCPAY="avenc_h263p ! rtph263ppay"
@@ -28,6 +29,12 @@ ACONV="audioconvert ! audioresample"
#HOST=192.168.1.126
HOST=127.0.0.1
+if test -z "$1"; then
+ echo "No URI argument.";
+ echo "Usage: $0 file:///path/to/video.file";
+ exit 1;
+fi
+
gst-launch-1.0 -v rtpbin name=rtpbin \
uridecodebin uri="$1" name=decode \
decode. ! $VCONV ! $VENCPAY ! rtpbin.send_rtp_sink_0 \